Subject: 27.0.50; Make `debbugs-gnu-search' work with `repeat-complex-command'
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Mon, 23 Sep 2019 08:26:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

when I want to repeat searching bugs with `debbugs-gnu-search' and a
similar query, I currently have to specify everything again.
`repeat-complex-command' is no help since the command currently has no
arguments.  Could we please make it work with `repeat-complex-command'?

The argument list of `debbugs-gnu-search' (currently empty) needs to
contain all information gathered, that seems to be the value of
`debbugs-gnu-current-query' and all arguments of the `debbugs-gnu' call.

Then most of the current function body should be moved into the
interactive form.  In the body only `debbugs-gnu-current-query' should
be let-bound to the first part of the function arguments, and
`debbugs-gnu' should be called with the rest.

TIA,

Michael.